Bug 300271 - Cannot connect to wireless network.
Cannot connect to wireless network.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 300381 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 09:04 EDT by David Woodhouse
Modified: 2013-01-09 23:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-20 11:38:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2007-09-21 09:04:43 EDT
After updating NetworkManager to 0.7.0-0.2.svn2833.fc8 it seems unable to find
my wireless network.

Although the network is visible when I run 'iwlist scan', NetworkManager doesn't
join it automatically, and doesn't even display it. Selecting 'Connect to Other
Wireless Network' from the applet does absolutely nothing (really, nothing. Not
even a dialog box pops up).

Selecting 'Edit connections' after right-clicking on the applet's icon seems a
little more promising, and I can 'Add' and enter lots of details (although the
Wireless security tab is empty). But then after I click 'close', the network I
tried to add is still missing.
Comment 1 David Woodhouse 2007-09-22 09:03:04 EDT
With 0.7.0-0.3.svn2852.fc8 and with wpa_supplicant running, I can see the
network. I can even enter the 40-bit WEP key, although the dialog box doesn't
let me _specify_ that it's a 40-bit WEP key and not a password, so I'm not
entirely sure it's doing the right thing.

It doesn't work though. NetworkManager just goes into an endless loop...

NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto
Baythorne Wavelan' has security, but secrets are required.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
starting...
NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto
Baythorne Wavelan' has security, but secrets are required.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
scheduled...
NetworkManager: <info>  Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager: <info>  Activation (wlan0) Stage 2 of 5 (Device Configure)
starting...
NetworkManager: <info>  Activation (wlan0/wireless): access point 'Auto
Baythorne Wavelan' has security, but secrets are required.


I tried the deleting the 'Auto Baythorne Wavelan' network from the 'Edit
Connections' dialog so that I could try again, but the 'Delete' button doesn't
seem to do anything.
Comment 2 Adam Huffman 2007-09-23 15:42:12 EDT
I'm having similar trouble.  With NetworkManager-0.7.0-0.3.svn2852.fc8 no
wireless networks are listed even though they can be seen via 'iwlist wlan0
scanning'.

This is with the iwl3945 driver, kernel 2.6.23-0.193.rc7.git1.fc8
Comment 3 Matthew Miller 2007-09-26 15:02:37 EDT
*** Bug 300381 has been marked as a duplicate of this bug. ***
Comment 4 Matthew Miller 2007-09-26 15:14:44 EDT
I'm seeing the same thing. Actually, I saw it when I updated to
0.7.0-0.1.svn2736.fc8 out of koji because I was told 0.7 fixes bug #281071. I
didn't report it though because it seemed so obviously broken I assumed it was
known. Whoops.

Also, in my case it's a little complicated because I'm running XFCE and
displaying nm-applet through XfApplet (which lets you use gnome applets). With
0.7 svn, nm-applet doesn't die, but its icon vanishes so there's nothing to
click on. It wasn't clear if this was an XfApplet or nm-applet problem.

But the "it doesn't work at all" part is still an issue either way.
Comment 5 Jesse Keating 2007-09-26 15:19:17 EDT
2886 is the newest SVN snapshot.  At some point near 2886 connecting to 40bit
WEP started working again.  I suggest trying with the latest NetworkManager,
plus wpa_supplicant (which just missed rawhide)
http://koji.fedoraproject.org/koji/buildinfo?buildID=19578
Comment 6 Matthew Miller 2007-09-26 19:58:12 EDT
Okay, that works for me. Still some wackiness from the icon (which I guess is
the xfce tray, not xfapplet...) but I'm not sure yet if that's an xfce bug or
not. (I'll install gnome and check once I'm on a higher-bandwidth link.)
Comment 7 Matthew Saltzman 2007-09-27 10:22:45 EDT
(In reply to comment #5)
> 2886 is the newest SVN snapshot.  At some point near 2886 connecting to 40bit
> WEP started working again.  I suggest trying with the latest NetworkManager,
> plus wpa_supplicant (which just missed rawhide)
> http://koji.fedoraproject.org/koji/buildinfo?buildID=19578

I got these and they don't help my issue.  The menu does pop up now, but all
wireless options are grayed out.  (Wired connections work.)  This is a Thinkpad
T61 with the iwl3945 driver and kernel-2.6.23-0.202.rc8.fc8.
Comment 8 Jesse Keating 2007-09-27 11:10:11 EDT
I'm pretty sure this is an iwl3945 kernel issue.
Comment 9 Matthew Saltzman 2007-09-27 11:45:31 EDT
(In reply to comment #8)
> I'm pretty sure this is an iwl3945 kernel issue.

OK Should I just file a kernel bug describing my experiences with NM, or is
there some better information I can provide?
Comment 10 Charles R. Anderson 2007-09-27 13:23:24 EDT
I have an Atheros chip in my Thinkpad T42p, and it happily loads the ath5k
driver (yay no more binary blob).  I'm using the following packages:

NetworkManager-gnome-0.7.0-0.3.svn2886.fc8
NetworkManager-0.7.0-0.3.svn2886.fc8
NetworkManager-glib-0.7.0-0.3.svn2886.fc8
wpa_supplicant-0.5.7-9.fc8

Scanning works and I can see the wireless networks in my area show up in the NM
applet.  However, I have no way to configure WPA/WPA2 which is required here. 
If I click on one of the wireless networks, nothing happens.  "Connect to Other
Wireless Network" and "Create New Wireless Network" are greyed out.  There is no
"Edit connections" option on available by right-clicking the applet.

Comment 11 Bug Zapper 2008-05-13 23:15:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 olusola.fadero 2008-05-28 07:53:47 EDT
This bug is still present. I'm having the same trouble in Fedora 9 on x86_64 on
a Lenovo 3000 N200 with an Intel Pro Wireless 3945ABG connector.


Comment 13 Greg 2008-07-21 23:43:16 EDT
With Fedora 9 on i686 HP dv6500 using the Intel Pro Wireless 4965 wireless card
I can locate the wireless networks in the area but am not able to activate my
wireless card and thus not connect to any network.
Comment 14 Dan Williams 2008-10-20 11:38:41 EDT
The original bug report has been fixed; please file other bugs if your issue is still present in F8, F9, or rawhide with latest kernel (2.6.26.5 or later), NM (svn4022.4 or later), and wpa_supplicant (0.5.10-6 or later).  Thanks!

Note You need to log in before you can comment on or make changes to this bug.